Uploaded image for project: 'Pig'
  1. Pig
  2. PIG-5317

Upgrade old dependencies: commons-lang, hsqldb, commons-logging

    Details

    • Type: Improvement
    • Status: Patch Available
    • Priority: Minor
    • Resolution: Unresolved
    • Affects Version/s: None
    • Fix Version/s: 0.18.0
    • Component/s: None
    • Labels:
      None
    • Hadoop Flags:
      Reviewed

      Description

      Pig depends on old version of commons-lang, hsqldb and commons-logging. It would be nice to upgrade the version of these dependencies, for commons-lang Pig should depend on commons-lang3 instead (which is already present in the ivy.xml)

        Attachments

        1. PIG-5317_without_new_dep.patch
          2 kB
          Nandor Kollar
        2. PIG-5317_amend.patch
          3 kB
          Nandor Kollar
        3. PIG-5317_2.patch
          32 kB
          Nandor Kollar
        4. PIG-5317_1.patch
          31 kB
          Nandor Kollar

          Activity

            People

            • Assignee:
              nkollar Nandor Kollar
              Reporter:
              nkollar Nandor Kollar
            • Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

              • Created:
                Updated: